Crashpad

Public Member Functions | List of all members
crashpad::TSimpleAddressRangeBag< NumEntries >::Iterator Class Reference

An iterator to traverse all of the active entries in a TSimpleAddressRangeBag. More...

`#include "client/simple_address_range_bag.h"`

## Public Member Functions
| Iterator (const TSimpleAddressRangeBag &bag)
const Entry * | Next ()
| Returns the next entry in the bag, or `nullptr` if at the end of the collection.

## Detailed Description

### template<size_t NumEntries = 64>
class crashpad::TSimpleAddressRangeBag< NumEntries >::Iterator

An iterator to traverse all of the active entries in a TSimpleAddressRangeBag.

The documentation for this class was generated from the following file:

- client/simple_address_range_bag.h